*# zacina blok pro 3D oblasti
*Set Var groupID=0
*Set Var nWeight3D=0
*Set Var LastGroupID=0
*If(ndime==3)
*Set Cond Asr_for_Volume *elems 
*If(CondNumEntities(Int)>0)
// selection has *CondNumEntities entities
*Set Var nshells=0
*Set Var nbeam=0
*loop elems *OnlyInCond
*If(Cond(Apply_in_Subincrement,int)==ApplyInSubincrement  || strcmp(GenData(Calculation_Analysis),"Static")==0) 
*If(ElemsType>3)
*#
*include ..\include.src.bas\CurrentElementGroupID.bas
*#
*Set Var groupID=Operation(ElemsMat*IncrMaterialID+CurrentType)
*# If(groupID!=lastGroupID)
*#
*If(GenData(Use_Digicon,Int)==1)
*Format "LOAD ASR GROUP %i ELEMENT %i INSIDE_T_TDT_ONLY "
*groupID *ElemsNum 
*Else
*Format "LOAD ASR GROUP %i ELEMENT %i "
*groupID *ElemsNum 
*EndIf
*#
*Set Var oMujMat=tcl(TK_FindMaterialNumber *Cond(TIME_FNC_ID) "Asr_for")
  TIME_FNC_ID *Operation(25250000+oMujMat)
  U_C *Cond(U_C,Real)
  U_L *Cond(U_L,Real)
  TAU_C_0 *Cond(TAU_C_0,Real)
  TAU_L_0 *Cond(TAU_L_0,Real)
  THETA_0 *Cond(THETA_0,Real)
  SAND_MASS *Cond(SAND_MASS,Real)
  REQUIRED_ALKALI_PER_REACTIVE_SILICA *Cond(REQUIRED_ALKALI_PER_REACTIVE_SILICA,Real)
  PROPORTION_REACTIVE_SILICA *Cond(PROPORTION_REACTIVE_SILICA,Real)
  PROPORTION_REACTIVE_PARTICLES_IN_SAND *Cond(PROPORTION_REACTIVE_PARTICLES_IN_SAND,Real)
  ASR_MEASSURED_ASR_STRAIN *Cond(ASR_MEASSURED_ASR_STRAIN,Real)                         
  THRESHOLD_ALKALI_IN_CONCRETE *Cond(THRESHOLD_ALKALI_IN_CONCRETE,Real)
  TOTAL_ALKALI_IN_MORTAR *Cond(TOTAL_ALKALI_IN_MORTAR,Real)
  H_MIN *Cond(H_MIN,Real)
  H_AVER *Cond(H_AVER,Real)
  BETA_SHAPE_FACTOR *Cond(BETA_SHAPE_FACTOR,Real)
  S_L *Cond(S_L,Real)
  S_U *Cond(S_U,Real)
*#  EPS_CR *Cond(EPS_CR,Real)
*#  EPS_U  *Cond(EPS_U,Real)
  BETA_E *Cond(BETA_E,Real)
  BETA_FT *Cond(BETA_FT,Real)
  BETA_GF *Cond(BETA_GF,Real)
  STEP_TIME_INCR *Cond(STEP_TIME_INCR,Real)
  MAX_NUMBER_OF_ITERS *Cond(MAX_NUMBER_OF_ITERS,Real)
  T_AVER_OFFSET *Cond(T_AVER_OFFSET,Real)

*If(strcmp(Cond(ASR_MODE),"APPLY_NOTHING")==0)
*ElseIf(strcmp(Cond(ASR_MODE),"APPLY_ALL")==0)
  ASR_MODE APPLY_ALL
*ElseIf(strcmp(Cond(ASR_MODE),"DEFINE")==0)
  ASR_MODE *\
*If(Cond(APPLY_INIT_STRAINS,Int)==1)
 APPLY_INIT_STRAINS *\
*EndIf
*If(Cond(APPLY_INIT_STRESSES,Int)==1)
 APPLY_INIT_STRESSES *\
*EndIf
*If(Cond(APPLY_INIT_STRESSES_DIRECT,Int)==1)
 APPLY_INIT_STRESSES_DIRECT *\
*EndIf
*If(Cond(APPLY_INIT_STRESSES_INDIRECT,Int)==1)
 APPLY_INIT_STRESSES_INDIRECT *\
*EndIf
*If(Cond(APPLY_REDUCTION_E,Int)==1)
 APPLY_REDUCTION_E *\
*EndIf
*If(Cond(APPLY_REDUCTION_FT,Int)==1)
 APPLY_REDUCTION_FT *\
*EndIf
*If(Cond(APPLY_REDUCTION_GF,Int)==1)
 APPLY_REDUCTION_GF *\
*EndIf
*If(Cond(APPLY_REDUCTION_ALL,Int)==1)
 APPLY_REDUCTION_ALL *\
*EndIf
*EndIf
 
 
*Set Var lastGroupID=groupID
*Set Var nWeight3D=Operation(nWeight3D+1)
*# EndIf
*#
*EndIf
*EndIf
*End elems
*EndIf
*# konci blok 3D
*EndIf
